%define nordugrid_location /opt/nordugrid
%define monitor_prefix     %{nordugrid_location}/share/gridmonitor

Summary: NorduGrid ToolKit
Name: nordugrid-arc
Version: 0.8.1.1
Release: 1%{?dist}
URL: http://www.nordugrid.org/
Source: %{name}-%{version}.tar.gz
Prefix: %{nordugrid_location}
License: ASL 2.0
Group: NorduGrid
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gsoap-devel >= 2.7.2
BuildRequires: libxml2-devel >= 2.4.0
BuildRequires: globus-common-devel
BuildRequires: globus-ftp-client-devel
BuildRequires: globus-ftp-control-devel
BuildRequires: globus-gass-transfer-devel
BuildRequires: globus-gsi-credential-devel
BuildRequires: globus-gsi-sysconfig-devel
BuildRequires: globus-gss-assist-devel
BuildRequires: globus-io-devel
BuildRequires: openldap-devel
BuildRequires: globus-rls-client-devel
BuildRequires: globus-rsl-devel
BuildRequires: gettext
BuildRequires: python-devel
BuildRequires: voms-devel
BuildRequires: mysql-devel
%if %{?fedora}%{!?fedora:0} >= 12 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires: libuuid-devel
%else
BuildRequires: e2fsprogs-devel
%endif
BuildRequires: lfc-devel

%description
NorduGrid ToolKit

%package ca-utils
Summary: NorduGrid authentication tools
Group: NorduGrid
Requires: wget
%description ca-utils
This package includes authentication utilities. At the moment it is limited to
the CRL update script.

%package client
Summary: command line interface of the ARC grid middleware
Group: NorduGrid
Requires: nordugrid-arc-libs
%description client
This package contains the NorduGrid client tools. It
comprises all the command line utilities that one needs
to submit jobs to the grid, query their status and to
collect the results.

%package compat
Summary: NorduGrid 0.4 client tools
Group: NorduGrid
Requires: nordugrid-arc-client
%description compat
This package contains the old 0.4 NorduGrid client tools.

%package doc
Summary: NorduGrid Documentation
Group: NorduGrid
%description doc
This package includes the NorduGrid documentation.

%package gridmap-utils
Summary: NorudGrid authorization tools
Group: NorduGrid
Requires: perl
#Requires: curl
Requires: perl-Crypt-SSLeay
Obsoletes: nordugrid-auth <= 0.23.3
%description gridmap-utils
This package contains the NorduGrid authorization machinery.
A prominent tool distributed in this package is the nordugridmap
script to collect user information from the virtual organisations.
Also, the updating of certificate revocation lists is performed
by the utilities provided in this package.

%package infoindex
Summary: NorduGrid ARC infoindex server
Group: NorduGrid
Requires: openldap-servers
Requires: bdii4
%description infoindex
This package contains the ARC information index server. It is provided as
a replacment of the provious Globus GIIS based information index server.
It uses the same interfaces but can be deployed using the standard slapd
server.

%package libs-devel
Summary: NorduGrid ARC development files
Group: NorduGrid
Requires: nordugrid-arc-libs
%description libs-devel
This package includes the files for developing application using the NorduGrid ARC libraries. It includes header files and static libraries.

%package libs
Summary: NorduGrid ARC runtime libraries
Group: NorduGrid
%description libs
The NorduGrid logger server keeps information on every job that
was executed on a grid site, if requested as such from the
grid site administrator.

%package logger-server
Summary: NorduGrid logger server
Group: NorduGrid
Requires: nordugrid-arc-libs
Requires: nordugrid-arc-server
%description logger-server
This package contains the NorduGrid logger server.

%package monitor
Summary: NorduGrid Grid Monitor
Group: NorduGrid
Prefix: %{monitor_prefix}
%description monitor
This package includes the scripts for the NorduGrid Grid Monitor. The
main monitor can be viewed from the NorduGrid web site. This package
requires a web server.

%package python
Summary: NorduGrid ARC python bindings
Group: NorduGrid
Requires: nordugrid-arc-libs
%description python
This package contains the NorduGrid ARC python bindings.

%package server
Summary: NorduGrid grid-manager, gridftp server and information system
Group: NorduGrid
Requires: time
Requires: nordugrid-arc-infoindex
%description server
This package contains the NorduGrid server binaries and information
system. Once installed and configures, it will allow for the remote
execution of jobs on one's local compute cluster. It implements
a technology that is referred to as "computational grid". Special
authorisation schemes guarantee the assignment of resources to a trusted
community of individuals only. All activities are logged. Further
management layers, e.g. billing, are still under development.

The NorduGrid extends the functionality that is provided by the Globus
libraries. This package comprises the grid-manager, gridftpd and
information providers.

%prep
%setup -q

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%{nordugrid_location} --disable-pkgdirs \
              --with-sysv-scripts-location=%{_initrddir} \
              --with-monitor-prefix=%{monitor_prefix} \
              --with-cron-scripts-prefix=%{_sysconfdir}/cron.d \
              --with-profile-scripts-prefix=%{_sysconfdir}/profile.d \
              --enable-docs && \
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f ${RPM_BUILD_ROOT}%{nordugrid_location}/lib/*plugin*{.a,.la}
rm -f ${RPM_BUILD_ROOT}%{nordugrid_location}/lib/*logger*{.a,.la}
rm -f ${RPM_BUILD_ROOT}%{nordugrid_location}/lib/*se*{.a,.la}
rm -f ${RPM_BUILD_ROOT}%{nordugrid_location}/lib/*srm*{.a,.la}
rm -f ${RPM_BUILD_ROOT}`python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)" | sed 's!/usr!%{nordugrid_location}!'`/*arclib*{.a,.la,.pyc,.pyo}

# Make filelists
for i in build/*.filelist ; do
  build/mkfilelist $i rpm > `basename $i`
done

%clean
rm -rf $RPM_BUILD_ROOT

%files ca-utils -f ca-utils.filelist
%defattr(-,root,root)

%files client -f client.filelist
%defattr(-,root,root)

%files compat -f compat.filelist
%defattr(-,root,root)

%files doc -f doc.filelist
%defattr(-,root,root)

%files gridmap-utils -f gridmap-utils.filelist
%defattr(-,root,root)

%files infoindex -f infoindex.filelist
%defattr(-,root,root)

%files libs-devel -f libs-devel.filelist
%defattr(-,root,root)

%files libs -f libs.filelist
%defattr(-,root,root)

%files logger-server -f logger-server.filelist
%defattr(-,root,root)

%files monitor -f monitor.filelist
%defattr(-,root,root)

%files python -f python.filelist
%defattr(-,root,root)

%files server -f server.filelist
%defattr(-,root,root)

%changelog
* Mon Jan 25 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1.1-1
- Final 0.8.1.1 release

* Tue Jan 19 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1.1-0.rc2
- 0.8.1.1 release candidate 2

* Tue Dec 15 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1.1-0.rc1
- 0.8.1.1 release candidate 1

* Fri Nov 06 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1-1
- Final 0.8.1 release

* Mon Oct 26 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1-0.rc2
- 0.8.1 release candidate 2

* Tue Oct 20 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1-0.rc1
- 0.8.1 release candidate 1

* Tue Oct 13 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.1-0.b
- 0.8.1 beta

* Sat Sep 26 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.0-1
- Final 0.8.0 release

* Tue Sep 22 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.8.0-0.rc3.1
- Add missing options to configure

* Thu Sep 17 2009 Anders Waananen <waananen@nbi.dk> - 0.8.0-0.rc3
- Specfile automatically generated

* Fri May  3 2002 Anders Waananen <waananen@nbi.dk>
- Initial build.
